# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "crosstalk-macros"
version = "0.1.2"
authors = ["Arpad Voros <arpadav@gmail.com>"]
description = "Procedural macros for crosstalk — An extremely lightweight, topic-based, cross-thread, in-memory communication library"
documentation = "https://docs.rs/crosstalk-macros"
readme = "README.md"
keywords = [
    "thread",
    "channel",
    "mpmc",
    "pubsub",
    "distributed",
]
categories = [
    "concurrency",
    "algorithms",
    "data-structures",
    "memory-management",
    "aerospace",
]
license = "MIT"
repository = "https://github.com/arpadav/crosstalk/tree/main/crosstalk-macros"

[lib]
proc-macro = true

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "2.0"
features = [
    "extra-traits",
    "full",
]
